> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tight.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get expenses

> Get all expenses for the authenticated user



## OpenAPI

````yaml https://dev.hurdlr.com/rest/v1/devUtils/documentation?version=5&Authorization=dexfeE6aRK3zwXP4ku5aWm8w&env=sandbox get /v5/expenses/expenses
openapi: 3.0.1
info:
  title: Tight API
  contact:
    name: Hurdlr, Inc. (dba Tight)
    url: https://www.tight.com
    email: api@tight.com
  version: 6.0.0
servers:
  - url: https://sandbox.hurdlr.com/rest
    description: Staging Environment
  - url: https://prod.hurdlr.com/rest
    description: Production Environment
security:
  - accessTokenSecurity: []
  - basicSecurity: []
tags:
  - name: Authentication
  - name: Banks
  - name: Business & Client Management
  - name: Invoicing
  - name: Revenue
  - name: Investments
  - name: Payouts
  - name: Bills
  - name: Expenses
  - name: Payroll
  - name: Reports
  - name: Accounting
  - name: Mileage
  - name: Taxes
  - name: Time Tracking
  - name: Imports
  - name: Files
  - name: Accountant
  - name: Audit Trail
  - name: Support
  - name: Tax Engine Express
  - name: Interview Endpoint
  - name: Ledgering
  - name: Configuration
  - name: Templates
paths:
  /v5/expenses/expenses:
    get:
      tags:
        - Expenses
      summary: Get expenses
      description: Get all expenses for the authenticated user
      operationId: getExpenses
      parameters:
        - name: lastUpdatedDate
          in: header
          description: Date filter - returns all records modified after the specified date
          schema:
            type: string
          example: '1970-01-01'
        - name: year
          in: query
          description: >-
            Year filter (YYYY) - returns all records for the specified year.
            Null will return all expenses.
          schema:
            type: integer
            format: int32
        - name: type
          in: query
          description: >-
            Type filter - returns all expenses for the specified types. Null or
            empty list will default to PENDING, BUSINESS, & NOT_BUSINESS.
          schema:
            type: array
            items:
              type: string
              enum:
                - BUSINESS
                - NOT_BUSINESS
                - PENDING
                - PAYROLL
        - name: status
          in: query
          description: >-
            Status filter - returns all expenses for the specified statuses.
            Null or empty list will default to ACTIVE.
          schema:
            type: array
            items:
              type: string
              enum:
                - ACTIVE
                - INACTIVE
        - name: includeRecurringParents
          in: query
          description: >-
            Whether recurring parent expenses should be included in the
            response. Defaults to true, i.e. all expenses, including recurring
            parent expenses, will be returned.
          schema:
            type: boolean
        - name: cursor
          in: header
          description: Cursor from the previous paginated response
          schema:
            type: string
        - name: limit
          in: header
          description: Page size, i.e. number of items to return per page
          schema:
            type: integer
            format: int32
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/TRAX_GET_RESPONSEExpenseGetDTOV5WithChildrenList
      security:
        - accessTokenSecurity: []
components:
  schemas:
    TRAX_GET_RESPONSEExpenseGetDTOV5WithChildrenList:
      properties:
        data:
          type: array
          description: The list of entities
          items:
            $ref: '#/components/schemas/ExpenseGetDTOV5WithChildren'
        lastUpdatedDate:
          type: string
          description: Date filter - to be used in your subsequent request
          format: date-time
        cursor:
          type: string
          description: >-
            Cursor to be used in your subsequent paginated request. Only
            populated if there are more pages available.
        deletedIds:
          type: array
          description: >-
            Ids of entities that no longer match the request's filter criteria
            since the request's lastUpdatedDate
          items:
            type: integer
            format: int32
    ExpenseGetDTOV5WithChildren:
      required:
        - amount
      type: object
      properties:
        id:
          type: integer
          description: Id of the expense, required when updating an existing expense
          format: int64
        status:
          type: string
          description: Status of the expense
          readOnly: true
          enum:
            - ACTIVE
            - INACTIVE
        type:
          type: string
          description: Type of the expense
          enum:
            - BUSINESS
            - NOT_BUSINESS
            - PENDING
            - PAYROLL
        date:
          type: string
          description: Date of the expense
          format: date-time
          example: '2022-01-04T10:20:00Z'
        amount:
          type: number
          description: Total amount of the expense
          example: 50.01
        state:
          type: string
          description: >-
            State in which this expense was incurred, used to calculate sales
            tax amount
          enum:
            - UNKNOWN
            - AL
            - AK
            - AS
            - AZ
            - AR
            - CA
            - CO
            - CT
            - DE
            - DC
            - FM
            - FL
            - GA
            - GU
            - HI
            - ID
            - IL
            - IN
            - IA
            - KS
            - KY
            - LA
            - ME
            - MD
            - MH
            - MA
            - MI
            - MN
            - MS
            - MO
            - MT
            - NE
            - NV
            - NH
            - NJ
            - NM
            - NY
            - NC
            - ND
            - MP
            - OH
            - OK
            - OR
            - PW
            - PA
            - PR
            - RI
            - SC
            - SD
            - TN
            - TX
            - UT
            - VT
            - VI
            - VA
            - WA
            - WV
            - WI
            - WY
            - AB
            - BC
            - MB
            - NB
            - NL
            - NT
            - NS
            - NU
            - 'ON'
            - PE
            - QC
            - SK
            - YT
        salesTaxAmount:
          type: number
          description: Sales tax amount for the expense
          example: 1.01
        description:
          type: string
          description: Description of the expense
          example: Gas purchase
        vendorId:
          type: integer
          description: >-
            Id of the vendor associated with this expense; either vendorName or
            vendorId is required to create a new expense
          format: int64
        vendorName:
          type: string
          description: >-
            Name of this vendor associated with this expense; either vendorName
            or vendorId is required to create a new expense
          example: United Airlines
        businessId:
          type: integer
          description: >-
            Id of the business assigned to this expense, required for BUSINESS
            expenses
          format: int64
        clientId:
          type: integer
          description: Id of the client assigned to this expense
          format: int64
        clientName:
          type: string
          description: Name of the client assigned to this expense
        categoryId:
          type: integer
          description: >-
            Id of the category associated with this expense, required for
            BUSINESS expenses
          format: int64
        personalCategoryId:
          type: integer
          description: Id of the personal category associated with this expense
          format: int64
        expenseRuleId:
          type: integer
          description: Id of the rule that automatically classified this expense
          format: int64
          readOnly: true
        invoiceId:
          type: integer
          description: Id of the invoice that this expense is reimbursed on
          format: int64
          readOnly: true
        confidence:
          type: string
          description: Confidence of a tax deduction, only pertains to PENDING expenses
          enum:
            - LIKELY
            - QUESTIONABLE
            - UNLIKELY
        frequency:
          type: string
          description: Frequency of the expense
          example: ONE_TIME
          enum:
            - ONE_TIME
            - WEEKLY
            - MONTHLY
            - YEARLY
        recurringParentId:
          type: integer
          description: >-
            Id of the recurring parent expense; populated if this expense is
            recurring
          format: int64
          readOnly: true
        isParent:
          type: boolean
          description: >-
            Whether this expense is a parent (e.g. to recurring or split
            children expenses). Parent expenses generally should not be directly
            displayed to the user, as its children are more pertinent and
            displaying both results in double counting.
        apiExpenseId:
          type: string
          description: Id of the expense on associated API
        apiAccountId:
          type: string
          description: Id of the user's bank account on associated API
          readOnly: true
        apiAccountNo:
          type: string
          description: >-
            Mask of the user's bank account, often the last 4 digits of the
            account number
          readOnly: true
        apiAccountName:
          type: string
          description: Display name for the bank account from which this expense originated
          readOnly: true
          example: Citi Premier® Card
        apiInstitutionId:
          type: string
          description: Name or id of the institution from which the transaction originated
          readOnly: true
        bankAccountId:
          type: integer
          description: Id of the user's bank account associated with this expense
          format: int64
        bankDescription:
          type: string
          description: >-
            Transaction description, similar to what will show on the user's
            bank statement
          readOnly: true
        billId:
          type: integer
          description: Id of the bill that this expense paid for
          format: int64
        bankTransferId:
          type: integer
          description: Bank transfer that paid out this expense
          format: int64
          readOnly: true
        childExpenses:
          type: array
          items:
            $ref: '#/components/schemas/ExpenseDTOV5Child'
        customData:
          type: object
          description: >-
            Custom JSON in which you can store any data with max length of 2000
            characters
        reviewStatus:
          type: string
          description: Review status of the expense
          enum:
            - PARTNER_REVIEW_REQUIRED
            - USER_REVIEW_REQUIRED
            - ACCOUNTANT_REVIEW_REQUIRED
            - RECONCILIATION_STAGED
            - RECONCILED
            - RECONCILIATION_DISCREPANCY
            - ADJUSTMENT_USER_REVIEW_REQUIRED
            - ADJUSTMENT_ACCOUNTANT_REVIEW_REQUIRED
            - ADJUSTMENT_RECONCILIATION_STAGED
            - RECONCILIATION_AWAITING
            - PARTNER_REVIEW_REQUIRED
            - USER_REVIEW_REQUIRED
            - ACCOUNTANT_REVIEW_REQUIRED
            - RECONCILIATION_STAGED
            - RECONCILED
            - RECONCILIATION_DISCREPANCY
            - ADJUSTMENT_USER_REVIEW_REQUIRED
            - ADJUSTMENT_ACCOUNTANT_REVIEW_REQUIRED
            - ADJUSTMENT_RECONCILIATION_STAGED
        userAccess:
          type: string
          description: >-
            Access level for the user. This field uses the default configuration
            for the Partner; however, it can be overridden to manipulate how a
            user can interact with this expense.
          enum:
            - NONE
            - READ_ONLY
            - READ_WRITE
            - NONE
            - READ_ONLY
            - READ_WRITE
        accountantAccess:
          type: string
          description: >-
            Access level for the accountant. This field uses the default
            configuration for the Partner; however, it can be overridden to
            manipulate how an accountant can interact with this expense.
          enum:
            - NONE
            - READ_ONLY
            - READ_WRITE
            - NONE
            - READ_ONLY
            - READ_WRITE
        v6EntityId:
          type: string
          description: Entity id on the v6 API for this expense
        apiOrderId:
          type: string
          writeOnly: true
        orderId:
          type: string
          description: Id of the order associated with this expense
    ExpenseDTOV5Child:
      required:
        - amount
        - status
        - type
      type: object
      properties:
        id:
          type: integer
          description: Id of the expense
          format: int64
        type:
          type: string
          description: Type of the expense
          example: BUSINESS
          enum:
            - BUSINESS
            - NOT_BUSINESS
            - PENDING
        amount:
          type: number
          description: Total amount of the expense
          example: 50.01
        businessId:
          type: integer
          description: >-
            Id of business assigned to this expense, required for BUSINESS
            expenses
          format: int64
        clientId:
          type: integer
          description: Id of client assigned to this expense
          format: int64
        categoryId:
          type: integer
          description: >-
            Id of the category associated with this expense, required for
            BUSINESS expenses
          format: int64
        personalCategoryId:
          type: integer
          description: Id of the personal category associated with this expense
          format: int64
        invoiceId:
          type: integer
          description: Id of the invoice that this expense is reimbursed on
          format: int64
          readOnly: true
        description:
          type: string
          description: Description of expense
          example: Gas purchase
        status:
          type: string
          description: Status of the expense
          example: ACTIVE
          enum:
            - ACTIVE
            - DELETED
        salesTaxAmount:
          type: number
          description: Sales tax amount for the expense
          example: 1.01
        state:
          type: string
          description: State value for expense sales tax amount
          example: DC
          enum:
            - UNKNOWN
            - AL
            - AK
            - AS
            - AZ
            - AR
            - CA
            - CO
            - CT
            - DE
            - DC
            - FM
            - FL
            - GA
            - GU
            - HI
            - ID
            - IL
            - IN
            - IA
            - KS
            - KY
            - LA
            - ME
            - MD
            - MH
            - MA
            - MI
            - MN
            - MS
            - MO
            - MT
            - NE
            - NV
            - NH
            - NJ
            - NM
            - NY
            - NC
            - ND
            - MP
            - OH
            - OK
            - OR
            - PW
            - PA
            - PR
            - RI
            - SC
            - SD
            - TN
            - TX
            - UT
            - VT
            - VI
            - VA
            - WA
            - WV
            - WI
            - WY
            - AB
            - BC
            - MB
            - NB
            - NL
            - NT
            - NS
            - NU
            - 'ON'
            - PE
            - QC
            - SK
            - YT
        vendorId:
          type: integer
          description: Id of the vendor associated with this expense
          format: int64
        billId:
          $ref: '#/components/schemas/FieldActionLong'
    FieldActionLong:
      type: object
      description: Id of the bill that this expense paid for
  securitySchemes:
    accessTokenSecurity:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: /auth/account
          scopes:
            write: ''

````